<%@ page session="false" buffer="none" %>
<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
09/06/2005			swalter			Defect 32457 - 20 px border
08/18/2005			swalter			Defect 32457 - 20 px border
06/20/2005			swalter			Update deprecated tag libs
06/13/2005			swalter			Add copyright

--%>
<%--

	NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
          To see the changes you make to this file without stopping and restarting
          the server, follow the instructions for enabling automatic JSP reloading
          in the InfoCenter.
          
          Do not enable automatic JSP reloading in a production environment
          because performance will decrease.

--%>

<% /* @copyright jsp */ %>

<%@ taglib uri="/WEB-INF/tld/portal.tld" prefix="wps" %>
<%@ include file="../BidiInclude.jsp" %>


<wps:constants/>
<a name="<wps:portletID/>"></a>
<%
    String tableHeight = "";
%>
<wps:if portletState="Normal,Maximized,Solo">
    <% tableHeight = "height=\"100%\""; %>
</wps:if>

<table border="0" width="100%" <%=tableHeight%> cellpadding="0" cellspacing="5">
    <tr>
        <td>
            <table border="0" width="100%" <%=tableHeight%> cellpadding="0" cellspacing="0" class="wpsPortletBody">
				<tr height="1">
                    <%-- left border --%>
                    <td valign="bottom"><img alt="" width="5" height="22" src="<wps:urlFindInSkin file='<%= "portletTitleBarBg" + bidiImageLeft + ".gif"%>'/>"></td>
                    <td width="100%" nowrap>
                        <table border="0" width="100%" cellpadding="0" cellspacing="0">
                            <tr>
                                <td class="wpsPortletTitle" width="100%" nowrap align="<%= bidiAlignLeft %>">
                                    <wps:portletTitle>
                                        <wps:problem bundle="nls.problem"/>
                                    </wps:portletTitle>
                                    &nbsp; 
                                    <img alt="" border="0" width="1" height="22" align="absmiddle" src='<wps:urlFindInSkin file="title_minheight.gif"/>'>
                                </td>
								<%-- Do not include 'Skip to next portlet' link in standalone window or solo mode --%>
								<wps:unless newWindow="true">
								<wps:if portletSolo="no">
								<td class="wpsPortletTitle" valign="bottom"><a href="#skipportlet<wps:portletID/>"><img border="0" align="absmiddle" src='<%=wpsBaseURL + "/images/icons/ClearPixel.gif"%>' alt='<wps:text key="link.skiptonextportlet" bundle="nls.engine"/>' title='<wps:text key="link.skiptonextportlet" bundle="nls.engine"/>'></a></td>
								</wps:if>
								</wps:unless>
                                <wps:if portletState="Normal,Minimized">
        						<wps:portletDelete>
        		  					<td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<wps:urlParent/>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="show_tools_delete.gif"/>' alt='<wps:text key="delete" bundle="nls.titlebar"/>' title='<wps:text	key="delete" bundle="nls.titlebar"/>'></a></td>
           						</wps:portletDelete>
                                </wps:if>
        						<wps:portletBack>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletBackURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src="<wps:urlFindInSkin file='<%= "title_back" + bidiImageRTL + ".gif" %>'/>" alt='<wps:text key="back" bundle="nls.titlebar"/>' title='<wps:text key="back" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletBack>
                                    <wps:portletConfigure>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletConfigureURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_configure.gif"/>' alt='<wps:text key="configure" bundle="nls.titlebar"/>' title='<wps:text key="configure" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletConfigure>
                                    <wps:portletEdit>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletEditURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_edit.gif"/>' alt='<wps:text key="edit" bundle="nls.titlebar"/>' title='<wps:text key="edit" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletEdit>
                                    <wps:portletHelp newWindow="true">
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href="<%=wpsPortletHelpURL%>" target="portletHelpWindow" onClick="javascript: window.open('<%=wpsPortletHelpURL%>','portletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;">
                                        <img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_help.gif"/>' alt='<wps:text key="help" bundle="nls.titlebar"/>' title='<wps:text key="help" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletHelp>
                                    <wps:portletMinimize>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletMinimizeURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_minimize.gif"/>' alt='<wps:text key="minimize" bundle="nls.titlebar"/>' title='<wps:text key="minimize" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletMinimize>
                                    <wps:portletRestore>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletRestoreURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_restore.gif"/>' alt='<wps:text key="restore" bundle="nls.titlebar"/>' title='<wps:text key="restore" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletRestore>
                                    <wps:portletMaximize>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletMaximizeURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_maximize.gif"/>' alt='<wps:text key="maximize" bundle="nls.titlebar"/>' title='<wps:text key="maximize" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletMaximize>
                                    <wps:portletRestore>
                                        <td class="wpsPortletTitleIconBackground" valign="bottom"><a href='<%=wpsPortletRestoreURL%>'><img border="0" align="absmiddle" class="wpsPortletTitleIcon" src='<wps:urlFindInSkin file="title_restore.gif"/>' alt='<wps:text key="restore" bundle="nls.titlebar"/>' title='<wps:text key="restore" bundle="nls.titlebar"/>'></a></td>
                                    </wps:portletRestore>
                            </tr>
                        </table>                       
                    </td>
                    <%-- right border --%>
                    <td valign="bottom"><img alt="" width="5" height="22" src="<wps:urlFindInSkin file='<%= "portletTitleBarBg" + bidiImageRight + ".gif"%>'/>"></td>
                </tr>
                <%-- portlet body --%>
                <wps:if portletState="Normal,Maximized,Solo">
                    <tr height="100%">
                        <td class="portletBorderLeft"><img alt="" border="0" width="1" height="1" src='<%=wpsBaseURL%>/images/dot.gif'></td>
                        <td width="100%" valign="top">
                            <table width="100%" height="100%" border="0" cellpadding="20" cellspacing="0">
                                <tr>
                                    <td <wps:bidi dir="ltr" attribute="portlet">dir="ltr"</wps:bidi> valign="top" >
                                        <wps:portletRender>
                                            <font COLOR="red"><wps:problem bundle="nls.problem"/></font>
                                        </wps:portletRender>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td class="portletBorderRight"><img alt="" border="0" width="1" height="1" src='<%=wpsBaseURL%>/images/dot.gif'></td>
                    </tr>
                </wps:if>
                <%-- bottom border --%>
                <tr>
                    <td><img alt="" border="0" width="5" height="5" src="<wps:urlFindInSkin file='<%= "portletFooter" + bidiImageLeft + ".gif"%>'/>"></td>
                    <td class="portletBorderBottom"><img alt="" border="0" width="1" height="1" src='<%=wpsBaseURL%>/images/dot.gif'></td>
                    <td><img alt="" border="0" width="5" height="5" src="<wps:urlFindInSkin file='<%= "portletFooter" + bidiImageRight + ".gif"%>'/>"></td>
                </tr>
            </table>
		<a name="skipportlet<wps:portletID/>"</a>
        </td>
    </tr>
</table>

