<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
06/20/2005			swalter			Update deprecated tag libs
06/13/2005			swalter			Add copyright
--%>

<%--
    This JSP renders the navigation bar on the left side of the page.
    By default, this will continue rendering the navigation where the 
    previous navigation entity left off.
    
	
    NOTE: If you change this file, you must "touch" the version of Default.jsp which includes
		 it to see your changes.  You can do this by editing Default.jsp and saving it.

		 Default.jsp uses the @include JSP directive which compiles this file into the
		 servlet for Default.jsp.

--%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.ibm.portal.content.ContentNodeType,com.ibm.wps.portlets.admin.AdminPortletUtils, com.ibm.wps.util.CreateUrlCommand, com.ibm.wps.portlets.admin.shared.*"%>

<%@ taglib uri="/WEB-INF/tld/portal.tld" prefix="wps" %>

<wps:if navigationAvailable="yes" screen="Home,LoggedIn,LoggedOut,ErrorNotAuthorized">

<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	<tr width="100%">

<wps:if portletSolo="no">
<wps:navigation startLevel="4">
			<td class="wpsNavUnSelectedNode" valign="top" width="150" height="100%">
				<table border="0" cellpadding="0" cellspacing="0" width="150">
					<%-- Vertical space --%>
					<tr>
						<td colspan="2"><img alt="" border="0" width="1" height="7" src='<%=wpsBaseURL%>/images/dot.gif'></td>
					</tr>
					<%
						HashMap nodeTitles = new HashMap();
						// isRenderSubLevels is a flag used to only render the children below the 1st level selected node
						// this ignores the node expanded/collapsed state for 1st level nodes.
						boolean isRenderSubLevels = false;
						// wasLastNodeInSelectionPath is used to add a spacer row after the last node in the selected branch
						boolean wasLastNodeInSelectionPath = false;
					%>

					<wps:navigationLoop>
				
						<%if (wasLastNodeInSelectionPath && wpsNavLevel.intValue() == 1)
						 {%>
						<%
						 }
						  boolean isLabel = false;
						  String nodeImageUrl = null;
						  String LongPromptResourceID="";

						  if (wpsNavLevel.intValue() == 1) 
						  {
							  // try to find image for this node
							  if(wpsNavNode.getContentNode()!= null)
							  {
								  String uniqueName = wpsNavNode.getContentNode().getObjectID().getUniqueName();
								  // assume unique names are ascii encoded. only handle spaces

								  String uniqueNameGif = "";
								 
								  if (uniqueName != null)
								  {
									  uniqueNameGif = uniqueName.replace(' ','_').toLowerCase()+".gif";
									//get comments for page titles
									LongPromptResourceID = uniqueName.replace(' ','_').toLowerCase()+"_longprompt";
								  }
									  %>
										<wps:urlFindInTheme file='<%=uniqueNameGif%>' id='tempnodeImageUrl'/>
									<%
									if (tempnodeImageUrl != null)
									{
										nodeImageUrl = tempnodeImageUrl.toString();
										pageContext.removeAttribute("tempnodeImageUrl");// clear out the value for the next iteration
									}
							  }

							  // set flag to only render children of the level 1 node in the selection path
							  if (wpsSelectionModel.isNodeInSelectionPath(wpsNavNode))
							  {
								  isRenderSubLevels = true;
								  wasLastNodeInSelectionPath = true;
							  } 
							  else
							  { 
								  isRenderSubLevels= false;
								  wasLastNodeInSelectionPath = false;
							  }
						  }
						  // render all first level nodes but only children in selection path
						  if((wpsNavLevel.intValue() == 1) || isRenderSubLevels )
						  {
							  
						   String rowCssClass;
						   String linkCssClass;
						   boolean isSelected = false;

						   if (wpsSelectionModel.isNodeSelected(wpsNavNode)) {
						       rowCssClass = "wpsNavSelectedNode";
							   linkCssClass = "wpsNavSelectedLink";
							   isSelected = true;
						   } else if (isRenderSubLevels) {
							   rowCssClass = "wpsNavUnSelectedNode";
							   linkCssClass = "wpsNavUnSelectedLink";
							   isSelected = false;
						   } else {
							   rowCssClass = "wpsNavUnSelectedNode";
							   linkCssClass = "wpsNavUnSelectedLink";
							   isSelected = false;
						   }
						   
						   boolean nodeHasChildren = false;
						   Iterator iter = wpsNavModel.getChildren(wpsNavNode);
						   if ( (iter != null) && (iter.hasNext()) )
							   nodeHasChildren = true;

						   String selectURL = null; 
						   //Boolean hasSelectURL = wpsNavModel.hasSelectURL(wpsNavNode);
						   if (wpsNavNode.getContentNode() != null)
						   {
							/*
							  Since we are ignoring expand/collapse for 1st level nodes, and are instead
							  relying on selection to render the node's children, we would be unable to
							  view the children of labels. Therefore, for labels we use the urlGenerationTag
							  to select the label, which will cause the portal to calculate the selection path
							  beneath the label. This will cause the first child of the label to be selected.
							*/
							  isLabel = com.ibm.portal.content.ContentNodeType.LABEL.equals(wpsNavNode.getContentNode().getContentNodeType()); 
							  if (!isLabel ) 
							  {
								  selectURL = wpsNavModelUtil.createSelectionChangeURL(wpsNavNode); 
							  }
							  else if (nodeHasChildren)// if it is a label, only enable selection if there are children to display
							  { 					   
								  %>
								  <wps:urlGeneration contentNode="<%=wpsNavNode.getContentNode().getObjectID().toString()%>" >
									<%
									   java.io.StringWriter aWriter = new java.io.StringWriter();
									   wpsURL.write(aWriter);
									   selectURL = aWriter.toString();
									%>
								  </wps:urlGeneration>
																	  <%
								 //selectURL = wpsNavModelUtil.createStateChangeURL(wpsNavNode, com.ibm.portal.state.StateType.EXPANSION, new Boolean(true));
							  }
						   }
						   
						   if (selectURL == null)
						   {
							 rowCssClass = "wpsNavUnSelectedNode";
						   }


						   String nodeTitle = com.ibm.wps.model.LocaleHelper.getTitle((com.ibm.portal.Localized)wpsNavNode, request);

						   if (nodeTitle == null)
							  nodeTitle = "Untitled";

							// The following check is present so that when this theme is run with a 
							// workplace application installed on this portal, special navigation 
							// nodes are hidden from the navigation.
							ContentNode cNode = wpsNavNode.getContentNode();
                    
                            boolean bShowNode = true;
                    
                            if( cNode != null && cNode instanceof MetaData) {
                            	MetaData md = (MetaData) cNode;
                                Object o = md.getValue( "hidden");
                                if ( o != null && o.toString( ).equalsIgnoreCase( "Yes") ) {
                                	bShowNode = false;
                                }
                            }
							if( bShowNode) {
						%>
					<% if (isSelected) { %>
						<tr>
							<td colspan="2"><img alt="" border="0" width="1" height="3" src='<%=wpsBaseURL%>/images/dot.gif'></td>
						</tr>
					<% } %>
					<tr>
							<td class="<%= rowCssClass %>">
								<%-- one row table to contain spacer cells, expansion link, and node title link--%>
								<table border="0" width="100%" cellpadding="1" cellspacing="2">
									<tr>
										<td><img alt="" border="0" width="5" height="1" src='<%=wpsBaseURL%>/images/dot.gif'></td>
										<%-- add spacer cells for each level above second--%>
										<% for (int i=wpsNavLevel.intValue(); i > 1; i--) {%>
											<td width="1">&nbsp;&nbsp;&nbsp;&nbsp;</td>
										<% } %>

										<td class="<%= linkCssClass %>" width="100%">
												<a class="<%= linkCssClass %>" href="<%=selectURL%>" <% if (com.ibm.portal.content.ContentNodeType.EXTERNALURL.equals(wpsNavNode.getContentNode().getContentNodeType())) {%>target="_blank"<% } %> >
											<span class="wpsNavLevel<%=wpsNavLevel%>"><%= nodeTitle %></span>
										</td>
									</tr>
								</table>
							
							</td>
							<%-- this cell adds space to the right of the selected branch to give it a 'box' look --%>
							<td class="wpsNavUnSelectedNode">&nbsp;</td>
						</tr>
						<% if (isSelected) { %>
						<tr>
							<td class="wpsNavSelectedShadow"><img border="0" width="1" height="1" src='<%= wpsBaseURL %>/images/dot.gif' alt=""></td>
							<%-- this cell adds space to the right of the selected branch to give it a 'box' look --%>
							<td class="wpsNavUnSelectedNode"><img border="0" width="1" height="1" src='<%= wpsBaseURL %>/images/dot.gif' alt=""></td>
						</tr>
						<% } %>
							<% 
                                 }  // end if showNode
							%>
					   <% }// end if in selectionpath or level 1
						%>
					</wps:navigationLoop>
				</table>
			</td>
		</wps:navigation>
</wps:if>
	</tr>
</table>
</wps:if>
