<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
06/13/2005			swalter			Add copyright
--%>

<%-- 

This file contains the markup that appears in the Actions menu. The urls for the links
rendered are variables from the ActionURLInclude.jsp file.  The urls must be computed
before the navigation while the menu itself must be included at the bottom of the page 
to avoid unnecessary whitespace at the top of the page.

--%>

<%-- Start Menu --%>
<div id="action-menu" class="wpsActionMenu">
	<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td>
				<div class="menu">
					<table width="100%" summary="" cellpadding="0" cellspacing="0" border="0" class="class="wpsActionMenu">
						<%-- Edit application --%>
							<%-- New page --%>
							<% if (null != newPageUrl) { %>
                					<tr>
										<td nowrap width="100%" height="100%"><a href="<%= newPageUrl %>"><wps:text key="link.createpage" bundle="nls.engine"/></a></td>
									</tr>
				        	<% } %>
							<%-- Edit page --%>
							<%
								if (null != editPageUrl) { %>
									<tr>
										<td nowrap><a href="<%= editPageUrl %>"><wps:text key="link.editlayout" bundle="nls.engine"/></a></td>
									</tr>
				        	<% } %>
							<%-- Assign permissions --%>
							<% if (null != permissionsPageUrl) { %>
                					<tr>
										<td nowrap><a href="<%= permissionsPageUrl %>"><wps:text key="link.assign.permissions" bundle="nls.engine"/></a></td>
									</tr>
				        	<% } %>
					</table>
				</div>
			</td>
		</tr>
	</table>
</div>
<%-- End Menu --%>