<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
09/14/2005			swalter			Defect 32536 - Login twice
06/20/2005			swalter			Update deprecated tag libs
06/13/2005			swalter			Add copyright

--%>

<%--

    NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
          To see the changes you make to this file without stopping and restarting
          the server, follow the instructions for enabling automatic JSP reloading
          in the InfoCenter.
          
          Do not enable automatic JSP reloading in a production environment
          because performance will decrease.

--%>
<%@ page session="false" buffer="none" %>
<%-- Must be Transitional DTD or Mozilla/Netscape 6 will not correctly display tables used for visual layout. --%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%-- @copyright jsp --%>
<%@ taglib uri="/WEB-INF/tld/portal.tld" prefix="wps" %>
<%@ taglib uri="/WEB-INF/tld/portal-internal.tld" prefix="wpsi" %>
<%@ include file="../extension/TagLibInclude.jsp" %>   <%-- This includes Extend/Express specific tag libraries. --%>
<%@ include file="ActionURLInclude.jsp" %>
<wps:constants/>
<wpsi:adminNavHelper/>
<wps:defineObjects/>
<html>
<%@ include file="./Head.jsp" %>
<%-- Set margins to 0 here in addition to stylesheet to support old versions of Netscape --%>
<body marginwidth="0" marginheight="0" <%=bidiDirAttr%> onLoad="if ( document.forms['wpsPageGroupSelectionForm'] != null ) document.forms['wpsPageGroupSelectionForm'].reset();">
<%-- Modification for Drag and Drop --%>

    <%@ include file="../extension/PageBeginInclude.jsp" %>   <%-- This includes Extend/Express specific page logic. --%>

<% boolean adminPage = false; %>
<wpsi:ifAdminPage>
    <% adminPage = true; %>
</wpsi:ifAdminPage>

                

    <%-- This table is here so the banner is the same width as the portlets --%>
    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
		<tr>
            <td colspan="3">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td width="100%" valign="top" align="<%=bidiAlignRight%>">
							<%@ include file="ToolBarInclude.jsp" %>
						</td>
					</tr>
				</table>
			</td>
        </tr>
		<%-- Don't show navigation in solo mode --%>
    	<wps:if portletSolo="no">
            <% if (!adminPage) { %>
            	<%@ include file="./PlaceBarInclude.jsp" %>
            	<%@ include file="./PageBarInclude.jsp" %>
            <% } %>
		</wps:if>
		<wps:if loggedIn="yes">
		<tr>
			<td colspan="3" class="wpsPlaceBar3dHighlight"><img alt="" border="0" width="1" height="5" src='<%=wpsBaseURL%>/images/dot.gif'></td>
		</tr>
		</wps:if>
		<tr>
        	<td valign="top">
				<wps:if portletSolo="no">
                <% if ( adminPage ) { %>
	    			<%@ include file="AdminNavigationTreeInclude.jsp" %>
                <% } else { %>
                    <%@ include file="NavigationTreeInclude.jsp" %>
                <% } %>
				</wps:if>
			</td>
			<td width="100%" height="100%" valign="top">
                <a name="wpsMainContent"></a>
                <wps:screenRender/>
            </td>
			<%-- Don't show palette margin on Login --%>
    		<wps:if loggedIn="yes" notScreen="Login">
				<td><img width="11" height="1" border="0" src='<%= wpsBaseURL %>/images/dot.gif' alt=""></td>
			</wps:if>
        </tr>
    </table>
    <%@ include file="../extension/PageEndInclude.jsp" %>   <%-- This includes Extend/Express specific page logic. --%>
	<%@ include file="ActionMenuInclude.jsp" %>
    </body>
</html>
