<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
06/13/2005			swalter			Add copyright
--%>

<%@ page import="com.ibm.workplace.builder.WorkplaceSharedParamConstants" %>
<%@ page import="com.ibm.wps.composition.*, com.ibm.wps.composition.elements.*, com.ibm.wps.composition.model.*, com.ibm.wps.engine.*, com.ibm.wps.util.ObjectID, com.ibm.portal.*, com.ibm.portal.content.*, com.ibm.wps.model.*, com.ibm.portal.navigation.* "%>
<%@ page import="com.ibm.wps.portlets.admin.shared.*"%>
<%@ page import="com.ibm.portal.content.ContentNode" %>
<%@ page import="com.ibm.portal.content.ContentNodeType" %>
<%@ page import="com.ibm.workplace.tai.editorsupport.*" %>
<%@ page import="com.ibm.workplace.cdo.value.*" %>
<%@ page import="com.ibm.workplace.interfaces.exception.TemplatableException"%>
<%@ page import="com.ibm.workplace.builder.WorkplaceNavigatorBean"%>
<%@ page import="com.ibm.workplace.interfaces.value.RoleVo" %>
<%@ page import="com.ibm.workplace.cdo.constant.CdoRoles" %>
<%@ page import="com.ibm.workplace.cdo.value.CdoRetrievalOptionsVo" %>
<%@ page import="com.ibm.workplace.cdo.value.CdoVo" %>
<%@ page import="com.ibm.workplace.cdo.workspace.CdoServiceDelegate" %>
<%@ page import="com.ibm.workplace.cdo.workspace.CdoServiceDelegateFactory" %>
<%@ page import="com.ibm.workplace.interfaces.value.DomainObjectIdentifierVo" %>

<%
	//check user access for Builder Catalog
	boolean isEditableInBuilder = false;
	boolean isPreviewMode = false;
	boolean isEditor = false;
	boolean hasTemplateAccess = false;
	String pageID = null;
    WorkplaceNavigatorBean wpNavBean = null;
%>
	<wps:if loggedIn="yes">
<%
			HttpSession newSession = request.getSession(false);
			
			if ( newSession != null)
			{
				wpNavBean = (WorkplaceNavigatorBean)newSession.getAttribute("com.ibm.workplace.wpNavBean");
				if(wpNavBean  == null && newSession !=null)
				{
					wpNavBean  = new WorkplaceNavigatorBean();
					newSession.setAttribute("com.ibm.workplace.wpNavBean", wpNavBean);
				}
               				hasTemplateAccess = wpNavBean.doesPolicyAllowTemplate();
			}
	ModelUtil modelUtilWB = ModelUtil.from( request );

    com.ibm.portal.navigation.SelectionModel  iSelectionModel = modelUtilWB.getNavigationSelectionModel();
    java.util.Iterator modelIterator = iSelectionModel.iterator();

                int p = 0;
                while( modelIterator.hasNext() )
                {
                        p++;
                        com.ibm.portal.navigation.NavigationNode  iNode = (com.ibm.portal.navigation.NavigationNode)modelIterator.next();
                        // Skip over the application folder to find the place of the instance
                        // See are we in the team space node all applications are under this
                        if(p == 1)
                        {
                                ContentNode childcontentNode = iNode.getContentNode();
                                ObjectID nodeID = (ObjectID)childcontentNode.getObjectID();
                                pageID = nodeID.getUniqueName();
								if(pageID.equals("com.ibm.workplace.cdo.templates.TeamSpaces"))
								{
									isEditableInBuilder = true;						
								}
                                break;
                        }
                  }
//get Data from the request
	{
		String cdoGuid = request.getParameter(WorkplaceSharedParamConstants.WORKPLACE_CDOGUID);
	
		if(cdoGuid  != null)
		{
			wpNavBean.setCDOguid(cdoGuid);
		}
		else
		{
			cdoGuid = wpNavBean.getCDOguid();
		}
		String cdoMan = null;
								
	 	String catReqAct = request.getParameter(WorkplaceSharedParamConstants.WORKPLACE_ACTIONREQUEST);
		if(catReqAct != null)
			wpNavBean.setActRequest(catReqAct);
		//retrieve the GDOGUID from WorkplaceApplication Object if nothing is passed in through the URL Params.
		if(cdoGuid == null ||  cdoMan == null )
		{
			if(! "P".equals(wpNavBean.getActRequest() ))
			{
				WorkplaceApplication workplaceApplication = new WorkplaceApplication(null);
				try
				{
					workplaceApplication.setPlaceId(pageID);
					CdoVo cdoVo = workplaceApplication.getCdo();
					wpNavBean.setCDOguid(cdoVo.getGuid( ));
					cdoGuid = wpNavBean.getCDOguid();
				}
				catch( TemplatableException e)
				{
       				e.printStackTrace();
				}
				catch( Exception ex)
				{
       				ex.printStackTrace();
				}
			}
			// Retrieve data from the CDO object
			//cdoGuid = sCDOguid;  // From page meta data see PlaceBarInclude.jsp
			// Set the Workplacebuilder navigation bean with the value
			//if(cdoGuid != null)  // Check this cause we may need to keep the previous one from session
			//	wpNavBean.setCDOguid(cdoGuid);
%>
				
			<%
			try
			{
		            	CdoServiceDelegate cdoService = CdoServiceDelegateFactory.createCdoServiceDelegate( );
				CdoRetrievalOptionsVo options = new CdoRetrievalOptionsVo( );
			  	options.clearFlag( CdoRetrievalOptionsVo.CLBCTX);
           				CdoVo cdo = cdoService.getCdo( new DomainObjectIdentifierVo( cdoGuid), options);
		            	RoleVo[] currentUserRoles = cdo.getCurrentMemberRole( ).getRoles();
			            if( !currentUserRoles[0].equals( CdoRoles.MEMBER_ROLE_MANAGER))
				{
			                wpNavBean.setIfCDOMan("N");
            			}
				else
				{
			                wpNavBean.setIfCDOMan("Y");
				}
			}
			catch(Exception e)
			{
			                wpNavBean.setIfCDOMan("N");
			}
		}	
	}
	//check to see if current user is a manager to show edit button to builder
if(wpNavBean.getIfCDOMan() != null && wpNavBean.getIfCDOMan().equals("Y") )
{	
	if(! "P".equals(wpNavBean.getActRequest() ))			
	{
		isEditor = true;
	}
	%>
	<%
	//Add Done button for preview mode
	if( (wpNavBean.getActRequest() != null)  && (wpNavBean.getActRequest().equals(WorkplaceSharedParamConstants.WORKPLACE_ACTION_PREVIEW)))
	{ 
		isPreviewMode = true;
	}
}
	%>
	</wps:if>