<!--
Licensed Material - Property of IBM
5724-M24
(c) Copyright IBM Corp. 2005. All rights reserved.
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<%--
History
Date mm/dd/yyyy   	ID              Comment
09/16/2005			swalter			Update copyright
09/14/2005			swalter			Defect 32536 - Login twice
06/20/2005			swalter			Add html links to logos
06/17/2005			swalter			Add bidi mosaic image
06/13/2005			swalter			Add copyright
--%>
<%@ page import="com.ibm.wps.portlets.admin.shared.*, com.ibm.wps.services.ServiceManager"%>
<%@ page import="com.ibm.wps.composition.*, com.ibm.wps.composition.elements.*, com.ibm.wps.composition.model.*, com.ibm.wps.engine.*, com.ibm.wps.util.ObjectID, com.ibm.portal.*, com.ibm.portal.content.*, com.ibm.wps.model.*, com.ibm.portal.navigation.* "%>
<%--
   NOTE: If you change this file, you must "touch" the version of Default.jsp which includes
         it to see your changes.  You can do this by editing Default.jsp and saving it.
         Default.jsp uses the @include JSP directive which compiles this file into the
         servlet for Default.jsp.
--%>


<%-- toolbar --%>
<table border="0" cellspacing="0" cellpadding="0" class="wpsToolBarBackground">
    <tr>
		<td colspan="3" width="100%" dir="ltr" align="<%=bidiAlignRight%>">
		<%--  TOOLBAR TABLE --%>
		<table border="0" cellspacing="0" cellpadding="4" class="wpsToolBar" <%=bidiDirAttr%> >
    		<tr>
			<td>&nbsp;</td>
		<%--  My Workplace link --%>
		<wps:if loggedIn="yes" portletSolo="no">
    	    <wps:urlGeneration contentNode="wps.My Portal" portletWindowState="Normal" pacCheck="NoCheck">
    			<td align="center" nowrap>
                    <% if (!adminPage) { %><b><% } %>
                    <a href="<% wpsURL.write(out); %>" class="wpsToolBarLink"><wps:text key="link.my.portal" bundle="nls.engine"/></a>
                    <% if (!adminPage) { %></b><% } %>
                </td>
    		</wps:urlGeneration>
		</wps:if>
		<%-- Portal Administration link --%>
		<wps:if loggedIn="yes" portletSolo="no">
    	    <wps:urlGeneration contentNode="wps.Administration" portletWindowState="Normal">
    			<td align="center" nowrap>
                    <% if (adminPage) { %><b><% } %>
                    <a href="<% wpsURL.write(out); %>" class="wpsToolBarLink"><wps:text key="link.administration" bundle="nls.engine"/></a>
                    <% if (adminPage) { %></b><% } %>
                </td>
    		</wps:urlGeneration>
        </wps:if>
		<%-- forgot password button --%>
		<wps:if loggedIn="no" notScreen="ForgotPassword">
   			<td align="center" nowrap><a class="wpsToolBarLink" href='<wps:url screen="ForgotPassword" home="public"/>'><wps:text key="link.password" bundle="nls.engine"/></a>
			</td>
		</wps:if>
		<%-- selfcare button --%>
        <wps:if loggedIn="yes" notScreen="SelfcareUserForm,SelfcareUserConf" portletSolo="no">
			<td align="center" nowrap>
                <a class="wpsToolBarLink" href='<wps:url command="PrepareSelfcare" reqid="no"/>'><wps:text key="link.selfcare" bundle="nls.engine"/></a>
			</td>
		</wps:if>
		<%-- enroll button --%>
        <wps:if loggedIn="no">
			<%
                String dt = com.ibm.wps.puma.UserManager.instance().getDirectoryType();
                if (dt==null)
                {
                    dt = "";
                }
                if (!dt.equals("SSPM"))
                {
            %>
            <td align="center" nowrap>
                <a class="wpsToolBarLink" href='<wps:url command="PrepareEnrollment" home="public" reqid="no"/>'><wps:text key="link.enrollment" bundle="nls.engine"/></a>
            </td>
            <%
                }
            %>
		</wps:if>
		<%-- Action menu --%>
        <wps:if loggedIn="yes">
		<wps:if portletSolo="no">
            <%
                // Determine Actions menu availability state 
            	String actionsMenuAvailability = "";  // becomes "Disabled" if Actions menu has no options
                if( (null == newPageUrl) && (null == editPageUrl) && (null == permissionsPageUrl) )
                {  
                    actionsMenuAvailability = "Disabled";
            	}
            %>
			<td nowrap>
				<a href="#" class="wpsToolBarLink<%=actionsMenuAvailability%>" title="Actions menu" onClick="getMouseXY(event); toggleMenu('action-menu'); return false;"><wps:text key="link.action.menu" bundle="nls.wbiTheme"/><img src="<wps:urlFindInTheme file='<%= "arrow" + actionsMenuAvailability + ".gif" %>'/>" width="14" height="11" border="0" align="absmiddle"></a></td>
			</td>
		</wps:if>	
		</wps:if>
		<%-- help button --%>
		<td align="center" nowrap>
        	<a class="wpsToolBarLink" href='<%= wpsDocURL %>/InfoCenter/help/index.html' target="PortalHelpWindow" onClick="javascript: window.open('<%= wpsDocURL %>/InfoCenter/help/index.html','PortalHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=yes,status=no,width=800,height=600,screenX=10,screenY=10,top=10,left=10').focus(); return false;"><img align="absmiddle" width="20" height="18" border="0" src='<wps:urlFindInTheme file="toolbarHelp.gif"/>' alt="<wps:text key="link.help" bundle="nls.engine"/>"><wps:text key="link.help" bundle="nls.engine"/></a>
		</td>
        <%-- login button --%>
				<%--  uncomment to allow login via screen --%>
			<%--
			<wps:if loggedIn="no" notScreen="Login">
                <td class="wpsToolBar" valign="middle" nowrap>
                    <a class="wpsToolBarLink" href='<wps:url home="public" screen="Login" ssl="false"/>'><wps:text key="link.login" bundle="nls.engine"/></a>
                </td>
			</wps:if>
			--%>
			<%--comment this to allow login via screen --%>
            <wps:if loggedIn="no" notSelection="wps.Login" >
				<wps:urlGeneration contentNode="wps.Login" portletWindowState="Normal">
					<td class="wpsToolBar" valign="middle" nowrap>
						<a href="<% wpsURL.write(escapeXmlWriter); %>" class="wpsToolBarLink"><img align="absmiddle" width="20" height="18" border="0" src="<wps:urlFindInTheme file='<%= "toolbarLogin" + bidiImageRTL + ".gif"%>'/>" alt="<wps:text key="link.login" bundle="nls.engine"/>"><wps:text key="link.login" bundle="nls.engine"/></a>
					</td>
				</wps:urlGeneration>
			</wps:if>
		<%-- logout button --%>
        <wps:if loggedIn="yes">
			<td align="center" nowrap>
                <a class="wpsToolBarLink" href='<wps:url command="LogoutUser"/>'><img align="absmiddle" width="18" height="18" border="0" src="<wps:urlFindInTheme file='<%= "toolbarLogout" + bidiImageRTL + ".gif"%>'/>" alt="<wps:text key="link.logout" bundle="nls.engine"/>"><wps:text key="link.logout" bundle="nls.engine"/></a>
            </td>
		</wps:if>
		</tr></table>
		<%--  END OF TOOLBAR TABLE --%>
		</td>
	</tr>
	<%-- Environment name - dynamic display dependent on loaded page --%>
	<tr>
		<td valign="middle" class="wpsToolbarBannerBackground">
		<!-- removed width="78" height="21" -->
		&nbsp;<a href='http://www-306.ibm.com/software/integration/wbimonitor/' target="MonitorWindow" onClick="javascript: window.open('http://www-306.ibm.com/software/integration/wbimonitor/','MonitorWindow','resizable=yes,scrollbars=yes,menubar=yes,toolbar=yes,addressbar=yes,status=yes,width=800,height=600,screenX=10,screenY=10,top=10,left=10,location=yes').focus(); return false;"><img align="absmiddle" src='<wps:urlFindInTheme file="WebSphereLogo.gif"/>' alt="<wps:text key="title" bundle="nls.wbiTheme"/>" border="0"></a>

		</td>
        <td class="wpsToolBarTitle" width="100%" valign="middle">
        &nbsp;
        <wps:if loggedIn="yes">
            <% if (adminPage) { %>
    		    <wps:text key="link.administration.bcr" bundle="nls.wbiTheme"/>
    		<% } 
    		//SLW Comment out, WebsphereLog.gif now contains entire name
    		//else { %>
    			<!--wps:text key="title.banner" bundle="nls.wbiTheme"/-->
            <% //} %>
		&nbsp;
		</wps:if>
		</td>
		<td align="<%=bidiAlignRight%>" width="54"><a href='http://www.ibm.com' target="IBMWindow" onClick="javascript: window.open('http://www.ibm.com','IBMWindow','resizable=yes,scrollbars=yes,menubar=yes,toolbar=yes,addressbar=yes,status=yes,width=800,height=600,screenX=10,screenY=10,top=10,left=10,location=yes').focus(); return false;"><img src="<wps:urlFindInTheme file='<%= "logoMosaicBan" + bidiImageRTL + ".jpg"%>'/>" border="0" alt="<wps:text key="ibm" bundle="nls.wbiTheme"/>" align="absmiddle"></a></td>
	</tr>
	<tr>
		<td colspan="3" class="wpsToolBarSeparator"><img width="1" height="11" border="0" src='<%= wpsBaseURL %>/images/dot.gif' alt=""></td></tr>
</table>
